Bug 1025210 - [abrt] BUG: unable to handle kernel paging request at 000000010495bd40
[abrt] BUG: unable to handle kernel paging request at 000000010495bd40
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sachin Prabhu
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de030565598539e9884b6d698fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 05:13 EDT by smanocch
Modified: 2014-09-22 08:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (98.58 KB, text/plain)
2013-10-31 05:13 EDT, smanocch
no flags Details

  None (edit)
Description smanocch 2013-10-31 05:13:15 EDT
Additional info:
reporter:       libreport-2.1.9
BUG: unable to handle kernel paging request at 000000010495bd40
IP: [<ffffffff8118e083>] kmem_cache_alloc+0x73/0x210
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: md4 nls_utf8 cifs dns_resolver fscache fuse nf_conntrack_ftp nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw tun uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb videodev bluetooth media arc4 iwldvm mac80211 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel iwlwifi snd_hda_codec e1000e snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer mei_me mei sdhci_pci sdhci mmc_core thinkpad_acpi iTCO_wdt iTCO_vendor_support ptp pps_core lpc_ich snd mfd_core cfg80211 i2c_i801 x86_pkg_temp_thermal shpchp soundcore rfkill coretemp kvm_intel kvm mperf serio_raw microcode binfmt_misc uinput dm_crypt nouveau crc32_pclmul crc32c_intel ghash_clmulni_intel mxm_wmi i2c_algo_bit drm_kms_helper ttm firewire_ohci drm firewire_core crc_itu_t i2c_core wmi video [last unloaded: nf_conntrack_ftp]
CPU: 7 PID: 4291 Comm: cifsd Not tainted 3.11.6-200.fc19.x86_64 #1
Hardware name: LENOVO 4282A23/4282A23, BIOS 8BET56WW (1.36 ) 01/19/2012
task: ffff88020b813560 ti: ffff88020ba54000 task.ti: ffff88020ba54000
RIP: 0010:[<ffffffff8118e083>]  [<ffffffff8118e083>] kmem_cache_alloc+0x73/0x210
RSP: 0018:ffff88020ba55d88  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff88020407b210 RCX: ffff88020ba55fd8
RDX: 0000000000000406 RSI: 0000000000011200 RDI: ffff88032a092000
RBP: ffff88020ba55dc0 R08: 000000000001b090 R09: ffffffff8113ea15
R10: 0000000000000000 R11: 0000000000014180 R12: 000000010495bd40
R13: 0000000000011200 R14: ffff88032a092000 R15: ffff88032a092000
FS:  0000000000000000(0000) GS:ffff88033ddc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000010495bd40 CR3: 0000000001c0c000 CR4: 00000000000407e0
Stack:
 ffff88020ba55da0 ffffffff810961b5 ffff88020407b210 ffff88020ba55e10
 0000000000011200 ffff88020407b1e0 ffff88020b813560 ffff88020ba55dd0
 ffffffff8113ea15 ffff88020ba55e48 ffffffff8113eb4a 0000000000000246
Call Trace:
 [<ffffffff810961b5>] ? check_preempt_curr+0x75/0xa0
 [<ffffffff8113ea15>] mempool_alloc_slab+0x15/0x20
 [<ffffffff8113eb4a>] mempool_alloc+0x5a/0x140
 [<ffffffffa0734aef>] ? cifs_readv_callback+0xbf/0x190 [cifs]
 [<ffffffffa07540aa>] cifs_small_buf_get+0x1a/0x30 [cifs]
 [<ffffffffa07426fd>] cifs_demultiplex_thread+0x3cd/0x910 [cifs]
 [<ffffffffa0742330>] ? dequeue_mid+0x50/0x50 [cifs]
 [<ffffffff81088650>] kthread+0xc0/0xd0
 [<ffffffff81088590>] ? insert_kthread_work+0x40/0x40
 [<ffffffff81656dec>] ret_from_fork+0x7c/0xb0
 [<ffffffff81088590>] ? insert_kthread_work+0x40/0x40
Code: 25 48 dc 00 00 49 8b 50 08 49 83 78 10 00 4d 8b 20 0f 84 82 01 00 00 4d 85 e4 0f 84 79 01 00 00 49 63 46 20 4d 8b 06 41 f6 c0 0f <49> 8b 1c 04 0f 85 3b 01 00 00 48 8d 4a 01 4c 89 e0 65 49 0f c7 
RIP  [<ffffffff8118e083>] kmem_cache_alloc+0x73/0x210
 RSP <ffff88020ba55d88>
CR2: 000000010495bd40
Comment 1 smanocch 2013-10-31 05:13:27 EDT
Created attachment 817768 [details]
File: dmesg
Comment 2 smanocch 2013-10-31 05:14:35 EDT
The problem seems related due a mounted cifs filesystem.
Comment 3 Jeff Layton 2013-10-31 10:22:36 EDT
Hrm, that's odd...

So it failed in kmem_cache_alloc, called from mempool_alloc. The way cifs does allocations is pretty straightforward. My suspicion would be some sort of memory corruption rather than any specific bug in this code.
Comment 4 Sachin Prabhu 2013-10-31 12:08:22 EDT
I agree with the Jeff. The bug here appears to be within the slab cache code. It is rare to see a bug within that piece of code and it is probably caused by memory corruption which could have written over the data structures used by the slabcache.

Has the machine experienced other such crashes?

Sachin Prabhu
Comment 5 Jeff Layton 2013-10-31 12:38:14 EDT
It certainly could be that cifs is passing in a bad pointer or something to the allocation routines, but it would be the first report we've seen of this and this code hasn't changed substantially in several releases.

I don't suppose you happened to collect a vmcore when this occurred?
Comment 6 Justin M. Forbes 2014-03-10 10:39:44 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 7 smanocch 2014-09-22 08:29:38 EDT
ok to close!

Note You need to log in before you can comment on or make changes to this bug.